## org.apache.cassandra.net
Class Message

    java.lang.Object
      org.apache.cassandra.net.Message

    public class Message

extends java.lang.Object

Constructor Summary
`Message(Header header, byte[] body, int version)`
`Message(java.net.InetAddress from, StorageService.Verb verb, byte[] body, int version)`

Method Summary
`java.net.InetAddress` `getFrom()`
`byte[]` `getHeader(java.lang.String key)`
`Message` `getInternalReply(byte[] body, int version)`
`byte[]` `getMessageBody()`
`Stage` `getMessageType()`
`Message` `getReply(java.net.InetAddress from, byte[] body, int version)`
`StorageService.Verb` `getVerb()`
`int` `getVersion()`
`java.lang.String` `toString()`
`Message` `withHeaderAdded(java.lang.String key, byte[] value)`
`Message` `withHeaderRemoved(java.lang.String key)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Message

    public Message(Header header,
                   byte[] body,
                   int version)

### Message

    public Message(java.net.InetAddress from,
                   StorageService.Verb verb,
                   byte[] body,
                   int version)

Method Detail

### getHeader

    public byte[] getHeader(java.lang.String key)

### withHeaderAdded

    public Message withHeaderAdded(java.lang.String key,
                                   byte[] value)

### withHeaderRemoved

    public Message withHeaderRemoved(java.lang.String key)

### getMessageBody

    public byte[] getMessageBody()

### getVersion

    public int getVersion()

### getFrom

    public java.net.InetAddress getFrom()

### getMessageType

    public Stage getMessageType()

### getVerb

    public StorageService.Verb getVerb()

### getReply

    public Message getReply(java.net.InetAddress from,
                            byte[] body,
                            int version)

### getInternalReply

    public Message getInternalReply(byte[] body,
                                    int version)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Copyright © 2013 The Apache Software Foundation